# TikTok / Profile

Fetch a public TikTok profile by username: bio, stats, verification, and avatar.

```
GET /api/v1/tiktok/profile
```

Auth: `Authorization: Bearer <SOCIFY_KEY>`  
Credits: 1 credit per request

## Parameters

| Name | Required | Description | Example |
|------|----------|-------------|---------|
| `username` | yes | TikTok username without @. | `daviddobrik` |

## Example

```bash
curl -s 'https://trysocify.com/api/v1/tiktok/profile?username=daviddobrik' \
  -H "Authorization: Bearer $SOCIFY_KEY"
```

## Response fields

| Field | Type | Description |
|-------|------|-------------|
| `id` | string | User id. |
| `username` | string | Username. |
| `name` | string | Display name. |
| `bio` | string | Profile bio. |
| `avatar` | string | Avatar URL. |
| `verified` | boolean | Whether verified. |
| `private` | boolean | Whether private. |
| `followers` | number | Follower count. |
| `following` | number | Following count. |
| `likes` | number | Total likes received. |
| `videos` | number | Public video count. |
| `sec_uid` | string | Secondary user id returned on profile. |
| `url` | string | Profile URL. |
## Sample response

Successful lookups wrap the payload in `{ ok, platform, resource, params, data, meta }`. `data` is shown below.

```json
{
  "ok": true,
  "platform": "tiktok",
  "resource": "profile",
  "params": {
    "username": "daviddobrik"
  },
  "data": {
    "avatar": "https://p16-sign-va.tiktokcdn.com/example.webp",
    "bio": "Tap down below :)",
    "followers": 26357770,
    "following": 214,
    "id": "7119601",
    "likes": 1304183341,
    "name": "DAVID DOBRIK",
    "private": false,
    "sec_uid": "MS4wLjABAAAALJEOFGMMb1NGn73hAlyCaNThVNS4NE9WfE-T4JA_mtg",
    "url": "https://www.tiktok.com/@daviddobrik",
    "username": "daviddobrik",
    "verified": true,
    "videos": 629
  },
  "meta": {
    "credits_charged": 1,
    "latency_ms": 420,
    "platform": "tiktok",
    "resource": "profile",
    "path": "/api/v1/tiktok/profile"
  }
}
```

## Links

- HTML docs: https://trysocify.com/docs/api/tiktok/profile
- SEO page: https://trysocify.com/tiktok/profile
- OpenAPI: https://trysocify.com/openapi.json
- Catalog: https://trysocify.com/catalog.json
